Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.xmljoin
Class XMLJoinData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.xmljoin.XMLJoinData

All Implemented Interfaces:
  StepDataInterface

    public class XMLJoinData

extends BaseStepData
implements StepDataInterface

Since:
  30-apr-2008
Author:
  Ingo Klose

Field Summary
`int` | `iCompareFieldID`
`int` | `iSourceXMLField`
`Object[]` | `outputRowData`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`org.pentaho.di.core.RowSet` | `SourceRowSet`
`Document` | `targetDOM`
`Node` | `targetNode`
`NodeList` | `targetNodes`
`org.pentaho.di.core.RowSet` | `TargetRowSet`
`String` | `XPathStatement`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`XMLJoinData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### TargetRowSet

    public org.pentaho.di.core.RowSet TargetRowSet

### SourceRowSet

    public org.pentaho.di.core.RowSet SourceRowSet

### outputRowData

    public Object[] outputRowData

### targetDOM

    public Document targetDOM

### targetNode

    public Node targetNode

### targetNodes

    public NodeList targetNodes

### XPathStatement

    public String XPathStatement

### iSourceXMLField

    public int iSourceXMLField

### iCompareFieldID

    public int iCompareFieldID

Constructor Detail

### XMLJoinData

    public XMLJoinData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD